[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfaceList.Exchange

Exchange 2 interfaces in the list

## Declaration

Source position: classesh.inc line 2106

`public procedure TInterfaceList.Exchange(`
`index1: Integer;`
`index2: Integer`
`);`

## Description

Exchange is the implementation of the IInterfaceList.Exchange method. It exchanges the position of 2 interfaces in the list.

## See also

IInterfaceList.Exchange |  | Exchange 2 interfaces in the list
TInterfaceList.Delete |  | Delete an interface from the list.
TInterfaceList.Add |  | Add an interface to the list
TList.Exchange |  | Exchanges two pointers in the list.
TFPList.Exchange |  | Exchanges two pointers in the list.